Loading...
Searching...
No Matches
DistGeom::ChiralViolationContribsParams Struct Reference

`#include <ChiralViolationContribs.h>`

## Public Member Functions

| ChiralViolationContribsParams (unsigned int i1, unsigned int i2, unsigned int i3, unsigned int i4, double u, double l, double w=1.0)

## Public Attributes

unsigned int | idx1 {0}
unsigned int | idx2 {0}
unsigned int | idx3 {0}
unsigned int | idx4 {0}
double | volUpper {0.0}
double | volLower {0.0}
double | weight {1.0}

## Detailed Description

Definition at line 21 of file ChiralViolationContribs.h.

## Constructor & Destructor Documentation

## ChiralViolationContribsParams()

DistGeom::ChiralViolationContribsParams::ChiralViolationContribsParams | ( | unsigned int | i1,
|  | unsigned int | i2,
|  | unsigned int | i3,
|  | unsigned int | i4,
|  | double | u,
|  | double | l,
|  | double | w = `1.0`
| ) |  |

inline

Definition at line 26 of file ChiralViolationContribs.h.

## Member Data Documentation

## idx1

unsigned int DistGeom::ChiralViolationContribsParams::idx1 {0}

Definition at line 22 of file ChiralViolationContribs.h.

## idx2

unsigned int DistGeom::ChiralViolationContribsParams::idx2 {0}

Definition at line 22 of file ChiralViolationContribs.h.

## idx3

unsigned int DistGeom::ChiralViolationContribsParams::idx3 {0}

Definition at line 22 of file ChiralViolationContribs.h.

## idx4

unsigned int DistGeom::ChiralViolationContribsParams::idx4 {0}

Definition at line 22 of file ChiralViolationContribs.h.

## volLower

double DistGeom::ChiralViolationContribsParams::volLower {0.0}

Definition at line 24 of file ChiralViolationContribs.h.

## volUpper

double DistGeom::ChiralViolationContribsParams::volUpper {0.0}

Definition at line 23 of file ChiralViolationContribs.h.

## weight

double DistGeom::ChiralViolationContribsParams::weight {1.0}

Definition at line 25 of file ChiralViolationContribs.h.

The documentation for this struct was generated from the following file:

- ChiralViolationContribs.h